## org.apache.lucene.queries.function.valuesource
Class ByteFieldSource

    java.lang.Object
      org.apache.lucene.queries.function.ValueSource
          org.apache.lucene.queries.function.valuesource.FieldCacheSource
              org.apache.lucene.queries.function.valuesource.ByteFieldSource

Deprecated.

    @Deprecated
    public class ByteFieldSource

extends FieldCacheSource

Obtains int field values from the `FieldCache` using `getInts()` and makes those values available as other numeric types, casting as needed. *

Field Summary

Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource
`cache, field`

Constructor Summary
`ByteFieldSource(String field)` Deprecated.
`ByteFieldSource(String field, FieldCache.ByteParser parser)` Deprecated.

Method Summary
`String` `description()` Deprecated. description of field, used in explain()
`boolean` `equals(Object o)` Deprecated.
`FunctionValues` `getValues(Map context, AtomicReaderContext readerContext)` Deprecated. Gets the values for this reader and the context that was previously passed to createWeight()
`int` `hashCode()` Deprecated.

Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource
`getField, getFieldCache`

Methods inherited from class org.apache.lucene.queries.function.ValueSource
`createWeight, getSortField, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteFieldSource

    public ByteFieldSource(String field)

  Deprecated.

### ByteFieldSource

    public ByteFieldSource(String field,
                           FieldCache.ByteParser parser)

  Deprecated.

Method Detail

### description

    public String description()

  Deprecated.
  Description copied from class: `ValueSource`
  description of field, used in explain()

  Overrides:
    `description` in class `FieldCacheSource`

### getValues

    public FunctionValues getValues(Map context,
                                    AtomicReaderContext readerContext)
                             throws IOException

  Deprecated.
  Description copied from class: `ValueSource`
  Gets the values for this reader and the context that was previously passed to createWeight()

  Specified by:
    `getValues` in class `ValueSource`
  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Deprecated.
  Overrides:
    `equals` in class `FieldCacheSource`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `FieldCacheSource`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.